---
title: PositionOptions
slug: Web/API/PositionOptions
tags:
  - API
  - Dictionary
  - Geolocation API
  - PositionOptions
  - Reference
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <strong><code>PositionOptions</code></strong> dictionary describes an object containing option properties to pass as a parameter of {{domxref("Geolocation.getCurrentPosition()")}} and {{domxref("Geolocation.watchPosition()")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PositionOptions.enableHighAccuracy")}} {{securecontext_inline}}</dt>
 <dd>Is a {{domxref("Boolean")}} that indicates the application would like to receive the best possible results. If <code>true</code> and if the device is able to provide a more accurate position, it will do so. Note that this can result in slower response times or increased power consumption (with a GPS chip on a mobile device for example). On the other hand, if <code>false</code>, the device can take the liberty to save resources by responding more quickly and/or using less power. Default: <code>false</code>.</dd>
 <dt>{{domxref("PositionOptions.timeout")}} {{securecontext_inline}}</dt>
 <dd>Is a positive <code>long</code> value representing the maximum length of time (in milliseconds) the device is allowed to take in order to return a position. The default value is <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code>, meaning that <code>getCurrentPosition()</code> won't return until the position is available.</dd>
 <dt>{{domxref("PositionOptions.maximumAge")}} {{securecontext_inline}}</dt>
 <dd>Is a positive <code>long</code> value indicating the maximum age in milliseconds of a possible cached position that is acceptable to return. If set to <code>0</code>, it means that the device cannot use a cached position and must attempt to retrieve the real current position. If set to <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code> the device must return a cached position regardless of its age. Default: 0.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#position_options_interface', 'PositionOptions')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PositionOptions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API">Using the Geolocation API</a></li>
 <li>The {{domxref("Geolocation")}} interface that uses it.</li>
</ul>
